## org.apache.hadoop.metrics.util
Class MetricsBase

    java.lang.Object
      org.apache.hadoop.metrics.util.MetricsBase

Direct Known Subclasses:
  MetricsIntValue, MetricsLongValue, MetricsTimeVaryingInt, MetricsTimeVaryingLong, MetricsTimeVaryingRate

Deprecated. in favor of `org.apache.hadoop.metrics2` usage.

    @Deprecated
    @InterfaceAudience.Private
    public abstract class MetricsBase

extends Object

This is base class for all metrics

Field Summary
`static String` `NO_DESCRIPTION` Deprecated.

Constructor Summary
`protected` `MetricsBase(String nam)` Deprecated.
`protected` `MetricsBase(String nam, String desc)` Deprecated.

Method Summary
`String` `getDescription()` Deprecated.
`String` `getName()` Deprecated.
`abstract void` `pushMetric(MetricsRecord mr)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_DESCRIPTION

    public static final String NO_DESCRIPTION

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### MetricsBase

    protected MetricsBase(String nam)

  Deprecated.

### MetricsBase

    protected MetricsBase(String nam,
                          String desc)

  Deprecated.

Method Detail

### pushMetric

    public abstract void pushMetric(MetricsRecord mr)

  Deprecated.

### getName

    public String getName()

  Deprecated.

### getDescription

    public String getDescription()

  Deprecated.

Copyright © 2009 The Apache Software Foundation